WordPress.org

Ready to get started?Download WordPress

Forums

"Update Options" no longer works (2 posts)

  1. jal0021
    Member
    Posted 8 years ago #

    I'm unable to save edits within the Options tab in WordPress. Upon clicking the "Update Options" button, I'm redirected to "options.php", which shows nothing but links and descriptions for the Link Manager and Permalinks options. If I return to the Options tab, I find that my changes weren't saved. This happens in all of the Options sub-tabs *except* Permalinks, in which case the "Update Permalink Structure" works correctly.

    Furthermore, the Link Manager appears to be hosed. Upon clicking on that particular sub-tab, I get the following:

    Database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ORDER BY seq' at line 5]
    SELECT wp_options.option_id, option_name, option_type, option_value, option_width, option_height, option_description, option_admin_level FROM wp_options LEFT JOIN wp_optiongroup_options ON wp_options.option_id = wp_optiongroup_options.option_id WHERE group_id = ORDER BY seq

    Warning: Invalid argument supplied for foreach() in /home/.buckle/jal0021/jefflawson.net/blog/wp-admin/options.php on line 174

    Oddly enough, there is an "Update Settings" button below the error message, but clicking on it results in the same problem as above: a redirect to "options.php", which shows nothing but links and descriptions for the Link Manager and Permalinks options.

    Otherwise, everything works fine, and I'm still able to go in via PHPMyAdmin to make and save changes to the values in the Options tab.

    The last time I successfully changed an option was two months previous. I made no changes whatsoever to my WordPress install in the interim. As far as my hosting provider (Dreamhost) is concerned, the only significant event to occur was the recent downtime due to the power outage in Los Angeles. The only update was an upgrade of the server's OS to the new Debian release (Sarge).

    I'm running WP 1.2.2. The problem occurs in both Firefox and IE. Javascript is enabled.

    Any ideas? Perhaps I should contact Dreamhost to see if they screwed something up in the OS upgrade?

  2. TechGnome
    Moderator
    Posted 8 years ago #

    You may want to think about upgrading to the latest 1.5.X. It's possible that the upgrade would fix that problem.

    It's hard for us to help because most of us (if not all) are on 1.5.x.

    -tg

Topic Closed

This topic has been closed to new replies.

About this Topic